#########################################
## 8.1 MDS

#pbP[WCXg[ꍇ"#"āCȉ̃XNvg𗬂ĂB
#install.packages("MASS")

library(MASS)
source("myfunc/myfunc.R")
uni_data<-read.csv(file="data/wC[Wf[^.csv")

data.dist<-dist(uni_data[,1:6], method="euclidean")
(data.iso<-isoMDS(data.dist,k=2))

plot(data.iso$points, type="n", xlab="x",ylab="y")
text(data.iso$points, label=uni_data[,7], cex=0.8)
par(new=T)
namelabel<-c("e݂₷","AC","","肫",
"ꂽ","_")
Posi.arrow(data.iso$points,uni_data[,1:6],length=0.1,angle=30,xlab="x",ylab="y",
xlim=c(-6,6),ylim=c(-6,4),scale=6.5,arro=6,
xaxt="n",yaxt="n",itemnames=namelabel)

#########################################
## 8.2 Δr@

#pbP[WCXg[ꍇ"#"āCȉ̃XNvg𗬂ĂB
#install.packages("BradleyTerry2")

library(BradleyTerry2)
formA<-read.csv("data/recA.csv")
formB<-read.csv("data/recB.csv")

player1<-c("WFX","WFX","WFX","WFX","rS","rS","rS",
           "ԉ","ԉ","o[x","쉺","쉺","쉺","쉺",
@@@@@@    "L","L","L","f","f","nCL","̎")
player2<-c("rS","ԉ","o[x","쉺","ԉ","o[x","쉺",
           "o[x","쉺","쉺","L","f","nCL","̎",
@@@@@@    "f","nCL","̎","nCL","̎","̎","WFX")
formAwin1<-colSums(-1*formA+2)
formBwin1<-colSums(-1*formB+2)
win1<-c(formAwin1,formBwin1,NA)
formAwin2<-112-formAwin1
formBwin2<-110-formBwin1
win2<-c(formAwin2,formBwin2,NA)
(rec.dat<-data.frame(player1,player2,win1,win2))
(recModel <-BTm(cbind(win1,win2),player1,player2,
@@@@@@@@@@data=rec.dat,refcat="쉺"))

####################################################
## 8.3 RX|fX

#pbP[WCXg[ꍇ"#"āCȉ̃XNvg𗬂ĂB
#install.packages("ca")

library(ca)
source("myfunc/myfunc.R")
chirol<- read.csv(file="data/chirol_data.csv")
head(chirol,n=2)
select.key <- c("jI","eߊ", "h","킢","","I","","I")
formcross<-form2ca(dat=chirol,select=select.key)
head(formcross,n=3)
formcross_ca<-ca(formcross)
formcross_ca
plot(formcross_ca,pch = c(1, 21, 17, 24))


####################################################
## 8.4 RWCg

#pbP[WCXg[ꍇ"#"āCȉ̃XNvg𗬂ĂB
#install.packages("DoE.base")

source("myfunc/myfunc.R")
library(DoE.base)
set.seed(12)
tour<-oa.design(factor.names=list( ꏊ=c("", "", "S{"), 
  h{=c("ze", ""),      ӌ=c("hŉ", "OŖ"), 
  ړ=c("d",  "oX"),@@@     \Z=c("5~", "4~")))
concept<-format.data.frame(tour)
(<-ncol(concept))
for (i in 1:){concept[,i]<-as.factor(concept[,i])}
concept
ryokou<-read.csv(file="data/ryokou.csv")
(񓚎Ґ<-nrow(ryokou))
vX^bN<-concept
for (i in (2:񓚎Ґ)) {  vX^bN<-rbind(vX^bN, concept)  }
X^bN<-matrix(t(ryokou),,1,byrow=T)
head(X^bN, 24)
head(ryokou, 3)
ryokou.ana <- qt1(vX^bN,X^bN)
round(ryokou.ana$coefficients,3)
plot(ryokou.ana)
round(ryokou.ana$partial,3)
round(cor(ryokou.ana$prediction[,"ώ@l"],
   ryokou.ana$prediction[,"\l"]),3)
conjyo.sim(ryokou.ana$coefficients)


