#gȂAP[g
############################################################
## 5 AP[ǧʂmF悤

freq<-function(x,inter){
table(cut(x,inter,right=F))
}

quan<-function(x){
med<-median(x)
q1<-median(subset(x,x<med))
q3<-median(subset(x,x>med))
res<-c(q1,med,q3)
return(res)
}

myiqr<-function(x){
med<-median(x)
q1<-median(subset(x,x<med))
q3<-median(subset(x,x>med))
res<-q3-q1
return(res)
}


#############################################################
## 6.1 ֊֌W
ncov<-function(x,y=NULL){
		if(is.data.frame(x)==TRUE){
		    (cov(x=x,y=y)*((nrow(x)-1))/nrow(x))
		} else {
	           (cov(x=x,y=y)*((length(x)-1))/length(x))
		}
}

nvar<-function(x){(1/length(x))*sum((x-mean(x))^2)}

nscale<-function(x){(x-mean(x))/sqrt(nvar(x))}

nscale.big<-function (x, center = TRUE, scale = TRUE) 
{
    x <- as.matrix(x)
    nc <- ncol(x)
    if (is.logical(center)) {
        if (center) {
            center <- colMeans(x, na.rm = TRUE)
            x <- sweep(x, 2L, center, check.margin = FALSE)
        }
    }
    else if (is.numeric(center) && (length(center) == nc)) 
        x <- sweep(x, 2L, center, check.margin = FALSE)
    else stop("length of 'center' must equal the number of columns of 'x'")
    if (is.logical(scale)) {
        if (scale) {
            f <- function(v) {
                v <- v[!is.na(v)]
                sqrt(sum(v^2)/max(1, length(v)))
            }
            scale <- apply(x, 2L, f)
            x <- sweep(x, 2L, scale, "/", check.margin = FALSE)
        }
    }
    else if (is.numeric(scale) && length(scale) == nc) 
        x <- sweep(x, 2L, scale, "/", check.margin = FALSE)
    else stop("length of 'scale' must equal the number of columns of 'x'")
    if (is.numeric(center)) 
        attr(x, "scaled:center") <- center
    if (is.numeric(scale)) 
        attr(x, "scaled:scale") <- scale
    x
}
########################################################################
## 6.2 Ƃ̏WvƃNX\̕
adres<-function(formula=~.,dat){
	formula <- as.formula(formula)
	Ctable <- xtabs(formula, data=dat)
	options(warn=-1)
	result<-chisq.test(Ctable)
	options(warn=0)
	v<-result$expected*(1-rowSums(Ctable)/sum(Ctable))%o%(1-colSums(Ctable)/sum(Ctable))
	x<-(Ctable-result$expected)/sqrt(v)	
      return(x)
}

cramer.big<-function(data,to=5){
  if((ncol(data)*(ncol(data)-1))/2<to){to=(ncol(data)*(ncol(data)-1))/2}
   kekka<-matrix(NA,ncol(data),ncol(data))
   for(i in 1 :(ncol(data)-1)){
     for(j in (i+1) : ncol(data)){
       Ctable <-xtabs(~eval(parse(text=colnames(data)[i]))+eval(parse(text=colnames(data)[j])),data=data)
       kekka[i,j]<-round(unlist(assocstats(Ctable)[5]),3)
     }
   }
   x<-cbind(
     c1<-colnames(data)[sort(rep(1:(ncol(data)),ncol(data)))],
     c2<-colnames(data)[rep(1:ncol(data),ncol(data))],
     c3<-as.vector(t(kekka)))
   x2<-na.omit(x)
   x3<-data.frame(x2[order(x2[,3],na.last=T,decreasing=T),],row.names =1:nrow(x2))
   names(x3)<-c("ϗ1","ϗ2","A֌W")
   return(x3[1:to,])
}
##############################################################
## 7
nsd<-function(x)
{
 x2<-sd(x)*(length(x)-1)/length(x)
 return(x2)
}


#nvar<-function(x)
#{
# x2<-var(x)*(length(x)-1)/length(x)
# return(x2)
#}

myfa<-function(X,m=1,...)
 {fa(r=X,nfactors=m,fm='ml',rotate='promax',...)}

myscree<-function(r,b="q")
   {plot(fa(r)$e.values,type='o',xlab=b,ylab="ŗLl")}

#############################################################
## 8.1 MDS
Posi.arrow<-function(Positioning,data,xlim=c(-1.5,1.5),ylim=c(-1.5,1.5),
       scale=1.2,arro=3,itemnames=colnames(data),xlab="",ylab="", ...)
{
   d1<-scale(Positioning[,1])
   d2<-scale(Positioning[,2])
   sta.data<-scale(data)
   coe.mat<-matrix(0,ncol(data),2)
   for (j in 1:ncol(data)){
      coe.mat[j,]<-coef(lm(sta.data[,j]~d1+d2))[2:3]
   }
   plot(0:1, xlim=xlim, ylim=ylim, type="n", xlab=xlab,ylab=ylab, ...)
   for (j in 1:nrow(coe.mat)){
      arrows(0,0,coe.mat[j,1]*arro,coe.mat[j,2]*arro, ...)
      text(coe.mat[j,1]*scale,coe.mat[j,2]*scale,itemnames[j])
   }
   rownames(coe.mat)<-itemnames
   colnames(coe.mat)<-c("dim1","dim2")
   return(coe.mat)
}
#############################################################
## 8.3 RX|fX
form2ca<-function(dat,select,dummy=FALSE){
	dummy.mat<-matrix(0,ncol(dat),length(select))
	dummy.mat.list<-list()
	list.sum<-matrix(0,ncol(dat),length(select))
	for(i in 1:nrow(dat)){dummy.mat.list[[i]]<-dummy.mat}
	for(j in 1:nrow(dat)){#]
		for(i in 1:ncol(dat)){#]Ώ
			dat2<-apply(dat,1,strsplit,", ")
			x<-as.vector(unlist(dat2[[j]][i]))
			key<-charmatch(x,select)
			dummy.mat.list[[j]][i,key]<-1
		}
		list.sum<-list.sum+dummy.mat.list[[j]]
		dimnames(list.sum)<-list(colnames(dat),select)
	}
	if(dummy==TRUE){
		return(list(dummy=dummy.mat.list,cross=list.sum))
	}else{
		return(list.sum)
	}
}


##############################################################
## 8.4 RWCg

qt1 <- function(dat,						
		y,						
		func.name=c("solve", "ginv"))			
{
	vname <- colnames(dat)					
	cname <- unlist(sapply(dat, levels))			
	dat <- data.frame(dat,  y)
	dat <- subset(dat, complete.cases(dat))			
	p <- ncol(dat)						
	ncat <- p-1						
	stopifnot(all(sapply(dat[, 1:ncat], is.factor)))	
	dat[, 1:ncat] <- lapply(dat[ ,1:ncat, drop=FALSE], as.integer)
	nc <- nrow(dat)						
	mx <- sapply(dat[, 1:ncat, drop=FALSE], max)		
	start <- c(0, cumsum(mx)[-ncat])			
	nobe <- sum(mx)						

	
	x <- t(apply(dat, 1,
			function(obs)
			{
				zeros <- numeric(nobe)
				zeros[start+obs[1:ncat]] <- 1
				c(zeros[-start-1], obs[ncat+1])
			}
		))

		
	a <- cov(x)
	ndim <- nobe-ncat
	if (match.arg(func.name) == "solve") {
		inverse <- solve
		B <- inverse(a[1:ndim, 1:ndim], a[ndim+1, 1:ndim])
	}
	else {
		library(MASS)
		inverse <- ginv
		B <- inverse(a[1:ndim, 1:ndim]) %*% a[ndim+1, 1:ndim]
	}
	m <- colMeans(x)
	const <- m[ndim+1]-sum(B*m[1:ndim])
	prediction <- x[,1:ndim]%*%as.matrix(B)+const
	observed <- x[,ndim+1]
	prediction <- cbind(observed, prediction, observed-prediction)

	
	ncase <- nrow(dat)
	s <- colSums(x)
	name <- coef <- NULL
	en <- 0
	for (i in 1:ncat) {
		st <- en+1
		en <- st+mx[i]-2
		target <- st:en
		temp.mean <- sum(s[target]*B[target])/ncase
		const <- const+temp.mean
		coef <- c(coef, -temp.mean, B[target]-temp.mean)
	}
	coef <- c(coef, const)
	names(coef) <- c(paste(rep(vname, mx), cname, sep="."), "萔")

	
	par <- matrix(0, nrow=nc, ncol=ncat)
	for (j in 1:nc) {
		en <- 0
		for (i in 1:ncat) {
			st <- en+1
			en <- st+mx[i]-2
			target <- st:en
			par[j, i] <- crossprod(x[j, target], B[target])
		}
	}
	par <- cbind(par, observed)
	i <- inverse(cor(par))
	d <- diag(i)
	partial.cor <- (-i/sqrt(outer(d, d)))[ncat+1, 1:ncat]
	partial.t <- abs(partial.cor)*sqrt((nc-ncat-1)/(1-partial.cor^2))
	partial.p <- pt(partial.t, nc-ncat-1, lower.tail=FALSE)*2
	partial <- cbind(partial.cor, partial.t, partial.p)

	coef <- as.matrix(coef)
	colnames(coef) <- "JeS[XRA"
	colnames(prediction) <- c("ώ@l", "\l", "c")
	colnames(partial) <- c("Α֌W", "t l", "P l")
	rownames(prediction) <- paste("#", 1:nc, sep="")
	rownames(partial) <- vname
	return(structure(list(coefficients=as.matrix(coef),
		partial=partial, prediction=prediction), class="qt1"))
}
# print \bh
print.qt1 <- function(	obj,					
			digits=5)				
{
	print(round(obj$coefficients, digits=digits))
}
# summary \bh
summary.qt1 <- function(obj,					
			digits=5)				
{
	print.default(obj, digits=digits)
}
# plot \bh
plot.qt1 <- function(	obj,					
			which=c("category.score", "fitness"),	
			...)					
{
	if (match.arg(which) == "category.score") {
		coefficients <- obj$coefficients[-length(obj$coefficients),]
		coefficients <- rev(coefficients)
		cname <- names(coefficients)
		names(coefficients) <- NULL
		barplot(coefficients, horiz=TRUE, xlab="JeS[XRA", ...)
		text(0, 1.2*(1:length(cname)-0.5), cname, pos=ifelse(coefficients > 0, 2, 4))
	}
	else {
		result <- obj$prediction
		plot(result[, 2], result[, 1],  xlab="\l", ylab="ώ@l", asp=1, ...)
		abline(c(0,1))
	}
}

#V~[g֐
conjyo.sim<-function(cc){
   ss<-select.list(rownames(cc),graphics =T,multiple = T)
   print(cc[rownames=ss,])
   print("pl")
   print(sum(cc[rownames=ss,]))
}

##############################################################################
##⑫C

FAlist<-function(x,sep="\n"){
    a<- unlist(
       strsplit(
          as.character(x),sep))
 return(a)}

MAtotal<-function(x,sep=","){
	x2<-gsub(" ", "", x)
    aa<-unique(FAlist(x2,sep))
    rx<-length(x2)
    cx<-length(aa)
    xx<-matrix(0,rx,cx)
    for (i in 1:rx){
       xx[i,]<-as.numeric(
                is.element(aa,FAlist(x2[i],sep)))}
    yy<-apply(xx,2,sum)
    zz<-vector()
    for (j in 1:length(yy)){
	 zz[j]<-round((yy[j]/sum(yy)),2)}
    jj<-cbind(yy,zz)
    rownames(jj)<-aa
    colnames(jj)<-c("񓚐","")
    return(jj)
    }





